#include <fstream>
#include <algorithm>
using namespace std;

#define ll long long
#define MOD 998244353

ll positiveMod(ll v, ll md)
{
	v = v%md;
	if (v < 0)
	{
		v += md;
	}
	return v;
}


ll dp1[505];
ll dp2[505];
ll prevres;


int main()
{
	string ss = "put";
	ifstream cin("in" + ss + ".txt");
	ofstream cout("out" + ss + ".txt");
	
	ll n, k, i, iz, in, j, l, a, b, res = 0, s1, s2, t1, t2, s, tt;

	cin >> n >> k;

	if (k == 1)
	{
		cout << 0;

		return 0;
	}

	for (i = 1; i < k && i <= n; i++)
	{
		for (j = 0; j <= n; j++)
		{
			dp1[j] = dp2[j] = 0;
		}
		dp1[1] = 1;
		dp2[1] = 1;

		for (j = 2; j <= n; j++)
		{

			dp1[0] = dp2[0] = 0;
			for (l = 1; l <= i; l++)
			{
				dp2[0] += dp1[l];
				dp1[0] += dp2[l];
			}

			dp1[0] %= MOD;
			dp2[0] %= MOD;

			for (l = i; l > 0; l--)
			{
				dp1[l] = dp1[l - 1];
				dp2[l] = dp2[l - 1];
			}
		}

		s = 0;
		for (l = 1; l <= i; l++)
		{
			s += dp1[l] + dp2[l];
		}

		tt = s;
		s -= prevres;
		prevres = tt;
		s = positiveMod(s, MOD);

		for (j = 0; j <= n; j++)
		{
			dp1[j] = dp2[j] = 0;
		}

		b = min(n, (k - 1) / i);
		dp1[1] = s;

		for (j = 2; j <= n; j++)
		{
			dp1[0] = dp2[0] = 0;
			for (l = 1; l <= b; l++)
			{
				dp1[0] += dp2[l];
				dp2[0] += dp1[l];
			}

			dp1[0] %= MOD;
			dp2[0] %= MOD;

			for (l = b; l > 0; l--)
			{
				dp1[l] = dp1[l - 1];
				dp2[l] = dp2[l - 1];
			}
		}

		s = 0;
		for (l = 1; l <= b; l++)
		{
			s += dp1[l] + dp2[l];
		}

		s %= MOD;

		res += s;
		res %= MOD;
	}

	cout << res;

	return 0;
}